#include <stdio.h>
#include <sqlite3ext.h>
#include "sqlite3_eval.h"

SQLITE_EXTENSION_INIT1

/* SQLite invokes this routine once when it loads the extension.
** Create new functions, collating sequences, and virtual table
** modules here.  This is usually the only exported symbol in
** the shared library.
*/
int sqlite3_extension_init(
	sqlite3 *db,
	char **pzErrMsg,
	const sqlite3_api_routines *pApi) {

	SQLITE_EXTENSION_INIT2(pApi)

	sqlite3_create_function(db,
		"EVAL",
		1,
		SQLITE_ANY,
		NULL,
		sqlite3_eval,
		NULL,
		NULL);

	return 0;
}

